Bug 1208041 - TUI hosted-engine-setup process is unexpected terminated when boot rhevm-appliance.ova because of ENOSPC in the tempdir
Summary: TUI hosted-engine-setup process is unexpected terminated when boot rhevm-appl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node-plugin-hosted-engine
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Douglas Schilling Landgraf
QA Contact: Ying Cui
URL:
Whiteboard:
Depends On: 1267437
Blocks: 1193058 1235343
TreeView+ depends on / blocked
 
Reported: 2015-04-01 09:14 UTC by Ying Cui
Modified: 2016-03-09 14:21 UTC (History)
8 users (show)

Fixed In Version: ovirt-node-plugin-hosted-engine-0.3.0-1.el7ev
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1235343 (view as bug list)
Environment:
Last Closed: 2016-03-09 14:21:10 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)
answerfile (2.40 KB, text/plain)
2015-04-01 09:15 UTC, Ying Cui
no flags Details
varlog.tar.gz (266.55 KB, application/x-gzip)
2015-04-01 09:16 UTC, Ying Cui
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1133180 medium CLOSED [RFE] - RHEVH should always require the minimum partition sizes in the TUI which are named in the documentation 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHBA-2016:0378 normal SHIPPED_LIVE ovirt-node bug fix and enhancement update for RHEV 3.6 2016-03-09 19:06:36 UTC
oVirt gerrit 39475 master MERGED hosted-engine: provide temp dir for execution Never
oVirt gerrit 42815 ovirt-3.5 MERGED hosted-engine: provide temp dir for execution Never

Internal Links: 1133180

Comment 1 Ying Cui 2015-04-01 09:15:57 UTC
Created attachment 1009551 [details]
answerfile

Comment 2 Ying Cui 2015-04-01 09:16:29 UTC
Created attachment 1009552 [details]
varlog.tar.gz

Comment 3 Ying Cui 2015-04-01 09:19:32 UTC
After unexpected terminated, then back to rhevh TUI, I checked this as well.
# screen -r -d
There is no screen to be detached.

Comment 5 Fabian Deutsch 2015-04-01 13:23:13 UTC
We should set TEMPDIR to /data/<something> which provides enough space for the image

Comment 6 Ying Cui 2015-04-10 05:51:29 UTC
(In reply to Fabian Deutsch from comment #5)
> We should set TEMPDIR to /data/<something> which provides enough space for
> the image

for this fix solution, here is precondition when rhevh install, there need to set data partition enough space.

Comment 7 Fabian Deutsch 2015-05-07 14:29:44 UTC
(In reply to Ying Cui from comment #6)
> (In reply to Fabian Deutsch from comment #5)
> > We should set TEMPDIR to /data/<something> which provides enough space for
> > the image
> 
> for this fix solution, here is precondition when rhevh install, there need
> to set data partition enough space.

I'd think along the lines that
1. The default installer suggestion is equal to what we suggest in the docs: 256MB min data size
2. In the docs we note that the data size should be at least 50GB in case that HE wants to be used

What I wonder is: Why does our he-setup not stop when it notices that the test about the min space requirement fails. Because it should complain about the not enough space, like it does on RHEL.

Comment 8 Ying Cui 2015-05-07 15:35:48 UTC
> What I wonder is: Why does our he-setup not stop when it notices that the
> test about the min space requirement fails. Because it should complain about
> the not enough space, like it does on RHEL.

+1 I wonder that as well. 
BTW, in bug description, if _manual_ run he-setup shell in RHEV-H, the behavior is the same as RHEL, here will prompt to let user set specify path to a directory due to not enough space. This issue only happen on TUI running he-setup process, so I set expected results in bug description to avoid termination back to TUI directly. 
In rhevh we only can think /data for vm.boot_disk dir,either the user specify the dir during he-setup or rhevh specify /data/hosted_engine_temp automatically. 

So we also need to fix when /data is not enough space how to avoid TUI hosted-engine-setup process is unexpected terminated? Or we only suggest /data at least 50GB in document? Thanks.

Comment 12 Ying Cui 2015-11-06 06:23:57 UTC
This bug is fixed and verified on build rhev-hypervisor7-7.2-20151104.0.iso(ovirt-node-plugin-hosted-engine-0.3.0-2.el7ev.noarch)

Test steps:
1. Installed rhevh 7.2 for 3.6 build successful. 
2. Setup rhevh network via TUI.
3. Navigate to hosted engine TUI.
5. Click on "Setup Hosted Engine"
6. Set engine ISO/OVA URL for download
7. Setup in process one by one steps.
8. During hosted-engine setup on VM configuration, there is no unexpected termination happen.

Comment 14 errata-xmlrpc 2016-03-09 14:21:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0378.html


Note You need to log in before you can comment on or make changes to this bug.